## org.h2.value
Class ValueStringFixed

    java.lang.Object
      org.h2.value.Value
          org.h2.value.ValueString
              org.h2.value.ValueStringFixed

    public class ValueStringFixed

extends ValueString

Implementation of the CHAR data type.

Nested Class Summary

Nested classes/interfaces inherited from class org.h2.value.Value
`Value.ValueBlob, Value.ValueClob`

Field Summary

Fields inherited from class org.h2.value.ValueString
`value`

Fields inherited from class org.h2.value.Value
`ARRAY, BLOB, BOOLEAN, BYTE, BYTES, CLOB, DATE, DECIMAL, DOUBLE, FLOAT, GEOMETRY, INT, JAVA_OBJECT, LONG, NULL, RESULT_SET, SHORT, STRING, STRING_FIXED, STRING_IGNORECASE, TIME, TIMESTAMP, TYPE_COUNT, UNKNOWN, UUID`

Constructor Summary
`protected` `ValueStringFixed(java.lang.String value)`

Method Summary
`static ValueStringFixed` `get(java.lang.String s)` Get or create a fixed length string value for the given string.
`protected ValueString` `getNew(java.lang.String s)` Create a new String value of the current class.
`int` `getType()` Get the value type.

Methods inherited from class org.h2.value.ValueString
`compareSecure, convertPrecision, equals, get, getDisplaySize, getMemory, getObject, getPrecision, getSQL, getString, hashCode, set`

Methods inherited from class org.h2.value.Value

`add, checkPrecision, clearCache, close, compareTo, compareTypeSave, convertScale, convertTo, copyToResult, copyToTemp, divide, getBigDecimal, getBoolean, getByte, getBytes, getBytesNoCopy, getDataHandler, getDate, getDouble, getFloat, getHigherOrder, getInputStream, getInt, getLong, getReader, getResultSet, getScale, getShort, getSignum, getSmall, getTableId, getTime, getTimestamp, getTraceSQL, isLinked, link, modulus, multiply, negate, subtract, throwUnsupportedExceptionForType, toString, unlink`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueStringFixed

    protected ValueStringFixed(java.lang.String value)

Method Detail

### getType

    public int getType()

  Description copied from class: `Value`
  Get the value type.

  Overrides:
    `getType` in class `ValueString`
  Returns:
    the type

### get

    public static ValueStringFixed get(java.lang.String s)

  Get or create a fixed length string value for the given string. Spaces at the end of the string will be removed.

  Parameters:
    `s` - the string
  Returns:
    the value

### getNew

    protected ValueString getNew(java.lang.String s)

  Description copied from class: `ValueString`
  Create a new String value of the current class. This method is meant to be overridden by subclasses.

  Overrides:
    `getNew` in class `ValueString`
  Parameters:
    `s` - the string
  Returns:
    the value